## org.apache.fop.datatypes
Class ColorType

    java.lang.Object
      |
      +--org.apache.fop.datatypes.ColorType

public class ColorType
extends java.lang.Object

a colour quantity in XSL

Field Summary
`protected float` `alpha` the alpha component
`protected float` `blue` the blue component
`protected float` `green` the green component
`protected float` `red` the red component

Constructor Summary
`ColorType(float red, float green, float blue)`
`ColorType(java.lang.String value)` set the colour given a particular String specifying either a colour name or #RGB or #RRGGBB

Method Summary
`float` `alpha()`
`float` `blue()`
`float` `green()`
`float` `red()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### red

    protected float red

  the red component

### green

    protected float green

  the green component

### blue

    protected float blue

  the blue component

### alpha

    protected float alpha

  the alpha component

Constructor Detail

### ColorType

    public ColorType(float red,
                     float green,
                     float blue)

### ColorType

    public ColorType(java.lang.String value)

  set the colour given a particular String specifying either a colour name or #RGB or #RRGGBB

Method Detail

### blue

    public float blue()

### green

    public float green()

### red

    public float red()

### alpha

    public float alpha()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.